using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class BaseTable
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]
        public int Id { get; set; }
        public string ModifyUserCode { get; set; }
        [SugarColumn(UpdateServerTime = true, InsertServerTime = true)]
        public DateTime ModifyTime { get; set; }

        [SugarColumn(IsOnlyIgnoreUpdate = true)]
        public string CreateUserCode { get; set; }

        //insert时使用DB时间填充，不更新
        [SugarColumn(InsertServerTime = true, IsOnlyIgnoreUpdate = true)]
        public DateTime CreateTime { get; set; }= DateTime.Now;//程序中需要用
    }
}
